Ogre::TimeIndex Class Reference
Animation

Time index object used to search keyframe at the given position. More...

`#include <OgreAnimationTrack.h>`

List of all members.

## Public Member Functions

| TimeIndex (Real timePos)
| Construct time index object by the given time position.
| TimeIndex (Real timePos, uint keyIndex)
| Construct time index object by the given time position and global keyframe index.
bool | hasKeyIndex (void) const
Real | getTimePos (void) const
uint | getKeyIndex (void) const

## Protected Attributes

Real | mTimePos
| The time position (in relation to the whole animation sequence)
uint | mKeyIndex
| The global keyframe index (in relation to the whole animation sequence) that used to convert to local keyframe index, or INVALID_KEY_INDEX which means global keyframe index unavailable, and then slight slow method will used to search local keyframe index.

## Static Protected Attributes

static const uint | INVALID_KEY_INDEX = (uint)-1
| Indicate it's an invalid global keyframe index.

## Detailed Description

Time index object used to search keyframe at the given position.

Definition at line 49 of file OgreAnimationTrack.h.

## Constructor & Destructor Documentation

Ogre::TimeIndex::TimeIndex | ( | Real | timePos | ) |

Construct time index object by the given time position.

Definition at line 69 of file OgreAnimationTrack.h.

Ogre::TimeIndex::TimeIndex | ( | Real | timePos,
|  | uint | keyIndex
| ) |  |

Construct time index object by the given time position and global keyframe index.

Note:
  In normally, you don't need to use this constructor directly, use Animation::_getTimeIndex instead.

Definition at line 80 of file OgreAnimationTrack.h.

## Member Function Documentation

uint Ogre::TimeIndex::getKeyIndex | ( | void |  | ) | const

Definition at line 96 of file OgreAnimationTrack.h.

Real Ogre::TimeIndex::getTimePos | ( | void |  | ) | const

Definition at line 91 of file OgreAnimationTrack.h.

bool Ogre::TimeIndex::hasKeyIndex | ( | void |  | ) | const

Definition at line 86 of file OgreAnimationTrack.h.

## Member Data Documentation

const uint Ogre::TimeIndex::INVALID_KEY_INDEX = (uint)-1`[static, protected]`

Indicate it's an invalid global keyframe index.

Definition at line 64 of file OgreAnimationTrack.h.

uint Ogre::TimeIndex::mKeyIndex `[protected]`

The global keyframe index (in relation to the whole animation sequence) that used to convert to local keyframe index, or INVALID_KEY_INDEX which means global keyframe index unavailable, and then slight slow method will used to search local keyframe index.

Definition at line 60 of file OgreAnimationTrack.h.

Real Ogre::TimeIndex::mTimePos `[protected]`

The time position (in relation to the whole animation sequence)

Definition at line 54 of file OgreAnimationTrack.h.

The documentation for this class was generated from the following file:

- OgreAnimationTrack.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:25